Page MenuHomePhabricator

evas_canvas3d: add empty functions for missing APIs
ClosedPublic

Authored by bu5hm4n on Jan 27 2019, 12:12 PM.

Details

Summary

The other alternative would be to move callback_register/
callback_unregister from evas.canvas3d.object to evas.canvas3d.node.
However doing this right now is a bit hard based on the fact that no
example currently does render / work. Therefore the empty implementation
is the solution that does require fewer code movements.

ref T5719
Depends on D7759

Diff Detail

Repository
rEFL core/efl
Branch
devs/bu5hm4n/implement-apis
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 9171
bu5hm4n created this revision.Jan 27 2019, 12:12 PM
bu5hm4n requested review of this revision.Jan 27 2019, 12:12 PM
Hermet requested changes to this revision.Jan 27 2019, 9:31 PM
Hermet added a subscriber: Hermet.

It seems the callback_register/unregister shouldn't be in Evas_Canvas3D if they are only used in Canvas3D Node so far.
Yet we have no scenarios by derived classed, there is no reason to be interface nor pure virtual function.

I think, we could remove them from 3D Object and Node could provide them itself.

Fortunately(maybe) this 3d feature work has been stopped,
Nobody maintains it, we cannot release this domain regardless of this our interface task.

This revision now requires changes to proceed.Jan 27 2019, 9:31 PM

@Hermet please see my commit message, why I did not do that right away ... I have no way to test my change ...

bu5hm4n requested review of this revision.Mar 3 2019, 7:39 AM
zmike added a comment.Mar 4 2019, 6:42 AM

I think he's saying that instead of doing this those methods should just be removed entirely.

The functions cannot be tested or anything, because evas3D does not render anymore

Hermet accepted this revision.Mar 7 2019, 8:30 PM
This revision is now accepted and ready to land.Mar 7 2019, 8:30 PM
Hermet closed this revision.Mar 7 2019, 9:46 PM